package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.GenericCityObject;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class GenericCityObjectsNode extends Renderable{

    private final GenericCityObject gcobject;

    public GenericCityObjectsNode(GenericCityObject gcobject) {
        this.gcobject = gcobject;
    }

    @Override
    public String getText() {
        return gcobject.getGmlId().getGmlString();
    }


    @Override
    public void visit(Renderer renderer) {
        renderer.render(gcobject);
    }

    @Override
    public void refreshTextColor() {
        if (!gcobject.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (gcobject.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }
}
